﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54520 Series (1 yr) VER IEEE /9500+1Hd,DMM
DATE:                  2017-03-29 12:25:05
AUTHOR:                Fluke
REVISION:              $Revision: 19017 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       223
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  54520A, 54522A, 54520C, 54522C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 or later
#
#  Additional Equipment Required:
#                     BNC tee, (f)-(f)-(f)
#                     2 ea., 1 m BNC patch cables
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  9500         500MH                        1Vpp           LS    N
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         30 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         -z Do you want to REVIEW the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.022  DISP         The following additional equipment and/or
  1.022  DISP         accessories are required:
  1.022  DISP
  1.022  DISP         - BNC tee, (f)-(f)-(f)
  1.022  DISP         - Cable assy, BNC (m)-(m), 1 m, 2 ea.
  1.022  DISP         - Formatted, blank floppy disk
  1.023  ENDIF

  1.024  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.025  IEEE         *RST

  1.026  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.027  MATH         @UUT_AssetNum     = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   DC CALIBRATOR                      DC CALIBRATOR
#    3.   INPUT RESISTANCE (CH1)             INPUT RESISTANCE (CH1)
#    4.   INPUT RESISTANCE (CH2)             DCV MEASUREMENT ACC (CH1)
#    5.   EXT TRIG INPUT RESISTANCE          DC OFFSET (CH1)
#    6.   DCV MEASUREMENT ACC (CH1)          ANALOG BANDWIDTH (CH1)
#    7.   DCV MEASUREMENT ACC (CH2)          TIMEBASE (CH1)
#    8.   DC OFFSET (CH1)                    TRIGGER SENS (CH1)
#    9.   DC OFFSET (CH2)                    AUXILIARY TRIGGER
#   10.   ANALOG BANDWIDTH (CH1)             EXTERNAL TRIGGER
#   11.   ANALOG BANDWIDTH (CH2)             EXT TRIG INPUT RESISTANCE
#   12.   TIMEBASE (CH1)                     INPUT RESISTANCE (CH2)
#   13.   TRIGGER SENS (CH1)                 DCV MEASUREMENT ACC (CH2)
#   14.   TRIGGER SENS (CH2)                 DC OFFSET (CH2)
#   15.   EXTERNAL TRIGGER                   ANALOG BANDWIDTH (CH2)
#   16.   AUXILIARY TRIGGER                  TRIGGER SENS (CH2)

  1.036  MATH         @MulSource = 0; @4ChUUT = 0
  1.037  CALL         Sub HP 545xx Self-test IEEE
  1.038  JMPL         END                 @Abort

  1.039  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.040  LABEL        CHANNEL_1_INPUT_RESISTANCE
  1.041  MATH         @Chan = 1
  1.042  PIC          hp5452_ch1_9500
  1.043  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.044  JMPL         CHANNEL_1_DC_VOLTAGE

  1.045  LABEL        CHANNEL_2_INPUT_RESISTANCE
  1.046  MATH         @Chan = 2
  1.047  PIC          hp5452_ch2_9500
  1.048  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.049  JMPL         CHANNEL_2_DC_VOLTAGE

  1.050  LABEL        EXT_TRIG_INPUT_RESISTANCE
  1.051  PIC          hp5452_ext_trig_z_9500
  1.052  CALL         Sub HP 545xx (1 yr) Ext Res. IEEE /9500
  1.053  JMPL         CHANNEL_2_INPUT_RESISTANCE

  1.054  LABEL        CHANNEL_1_DC_VOLTAGE
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.057  JMPL         CHANNEL_1_DC_OFFSET

  1.058  LABEL        CHANNEL_2_DC_VOLTAGE
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.061  JMPL         CHANNEL_2_DC_OFFSET

  1.062  LABEL        CHANNEL_1_DC_OFFSET
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.065  JMPL         CHANNEL_1_ANALOG_BW

  1.066  LABEL        CHANNEL_2_DC_OFFSET
  1.067  MATH         @Chan = 2
  1.068  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.069  JMPL         CHANNEL_2_ANALOG_BW

  1.070  LABEL        CHANNEL_1_ANALOG_BW
  1.071  MATH         @Chan = 1
  1.072  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.073  JMPL         TIMEBASE

  1.074  LABEL        CHANNEL_2_ANALOG_BW
  1.075  MATH         @Chan = 2
  1.076  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.077  JMPL         CHANNEL_2_TRIGGER_SENS

  1.078  LABEL        TIMEBASE
  1.079  MATH         @Chan = 1
  1.080  CALL         Sub HP 545xx (1 yr) Timebase IEEE /9500

  1.081  LABEL        CHANNEL_1_TRIGGER_SENS
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.084  JMPL         AUXILIARY_TRIGGER

  1.085  LABEL        CHANNEL_2_TRIGGER_SENS
  1.086  MATH         @Chan = 2
  1.087  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.088  JMPL         END

  1.089  LABEL        EXTERNAL_TRIGGER
  1.090  MATH         @Chan = 1
  1.091  PIC          hp5452_ext_trig_9500.bmp
  1.092  CALL         Sub HP 545xx (1 yr) EXT Trigger IEEE /9500
  1.093  JMPL         EXT_TRIG_INPUT_RESISTANCE

  1.094  LABEL        AUXILIARY_TRIGGER
  1.095  MATH         @Chan = 1
  1.096  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /9500
  1.097  JMPL         EXTERNAL_TRIGGER

  1.098  LABEL        END
  1.099  HEAD
  1.100  RSLT         =
  1.101  IEEE         SYST:DSP "5452xA/C Verification Done"
  1.102  IEEE         [GTL]
  1.103  DISP         Remove all connections from the UUT.

  1.104  IF           @Abort
  1.105  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.106  ELSE
  1.107  DISP         {V E R I F I C A T I O N  C O M P L E T E !}
  1.108  ENDIF

  1.109  END
